#include<iostream>
using namespace std;
int main()
{
    int m,n,br=0;
    cin>>n>>m;
    int d[n],u[n],l[m],r[m],x[m];
    //UNOS
    for(int k=0; k<n; k++)
    {
        cin>>d[k]>>u[k];
    }
    for(int k=0; k<m; k++)
    {
        cin>>l[k]>>r[k]>>x[k];
    }
    for(int k=0; k<m; k++)
    {
        for(int i=l[k]-1; i<=r[k]-1; i++)
        {
            if((x[k]>=d[i])&&(x[k]<=u[i]))
                br++;

        }
        cout<<br<<endl;
        br=0;
    }

    return 0;
}